# Anbox Cloud

![](https://img.shields.io/badge/juju-2.0+-brightgreen.svg)

## Overview

Anbox Cloud offers a software stack that runs Android games and applications in
the cloud enabling high-performance streaming of graphics and content to desktop
and mobile client devices.

At its heart, it uses lightweight container technology instead of full virtual
machines to achieve higher density and better performance per host. Depending
on the target platform, payload, and desired application performance (e.g.
frame rate), more than 100 containers can be run on a single ARMv8 server.

Anbox Cloud provides management of an entire cluster of servers running the
Anbox software to maintain a single Android system per container. It is based
on powerful and battle prooven software from Canonical like LXD or Juju.

 * Specialized management service to handle all aspects of the container and
   application lifecycle while optimizing the cluster for high density,
   performance and faster container boot times.
 * Platform integration tools including a rich SDK to allow integration of
   existing streaming solutions in the Anbox Cloud platform.
 * Support for both x86 and ARM64 hardware
 * Integrates with 3rd party solutions for binary translation solutions
   on AArch64-only hardware.

> NOTE: Anbox Cloud is a paid offering. You will need a Ubuntu Advantage subscription for this charm to work.
> You can learn more at https://anbox-cloud.io

> **WARNING:** The *Ubuntu Advantage for **Infrastructure*** token every user gets for free for personal
> use does **NOT** work and will result in a failed deployment! You need to use a valid
> *Ubuntu Advantage for **Applications*** token to be able to deploy successfully.

## Usage

Anbox Cloud can be deployed onto  any private or public cloud with the
following command:

  $ juju deploy cs:~anbox-charmers/anbox-cloud